Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038740
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-06-12 18:382018-06-22 10:48
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision84035789ff42
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038740: Tomcat version field sent in heartbeat statistics cannot be trusted as it is sending value from initial install forever.

DescriptionIf you install an instance using tomcat6 many years ago. Then update that instance to tomcat7 (i.e. by just using newer openbravo appliance) then the heartbeat value sent for tomcat version will be tomcat6 forever.

Consequence is that no value of tomcat version in collected heartbeat data can be trusted.

Problem is that the value is only collected and then saved on 'enabling heartbeat' and then sending heartbeat just uses this (potentially wrong) value instead of using actual tomcat version when sending the scheduled beat.

Note:
Tomcat version is the field where the problem has been found. When working on this issue all stack related fields should be reviewed.

Related it should be thought about if saving those values in i.e. ad_system_info locally gives any value as inside an instance / server they can be looked up very easily at any time.
Steps To Reproducecheck collected hearbeat statistics of i.e. butler server itself and notice i reports tomcat 6.0.x still today while the instance is running with newer tomcat7 for 3 years.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0038763 closedalostale API change: removed servlet_container and servlet_container_version from ad_system_info 
related to defect 0038765 closedalostale ant version sent to heartbeat is not updated 

-  Notes
(0105103)
shuehner (administrator)
2018-06-12 18:44

Code to review: SystemInfo.java i.e. getServletContainer + getServletContainerVersion to not load data via sql but just from 'running tomcat'.
Note: When testing please check that code does not fail when running in wildfly (and ideally works by reporting wildfly)
(0105159)
hgbot (developer)
2018-06-15 09:17

Repository: erp/devel/pi
Changeset: 84035789ff4213853c706e895af7c41c0baf8af6
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 14 14:12:44 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/84035789ff4213853c706e895af7c41c0baf8af6 [^]

fixed bug 38740: incorrect Tomcat version sent to Heartbeat

  Tomcat version to be sent to Heartbeat was calculated once on beat activation
  and persisted in DB to be always sent. This results on instances updating Tomcat
  not reporting correct version.

  Fixed by reading version on start up and not persisting it in DB.

---
M src-db/database/model/tables/AD_SYSTEM_INFO.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/base/ServerVersionChecker.java
M src/org/openbravo/erpCommon/ad_forms/Heartbeat.java
M src/org/openbravo/erpCommon/utility/SystemInfo.java
M src/org/openbravo/erpCommon/utility/SystemInfo_data.xsql
R src/org/openbravo/erpCommon/ad_forms/Heartbeat_data.xsql
---
(0105161)
alostale (developer)
2018-06-15 09:21

Tested:
* Tomcat 7, 8, 8.5 and 9: expected name version is sent
* WildFly 10.1.0.Final: name is WildFly as expected, version is 2.2.0 which corresponds to the wildfly-server [1] component.

[1] https://mvnrepository.com/artifact/org.wildfly.core/wildfly-server [^]
(0105238)
hudsonbot (developer)
2018-06-19 13:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dd1f20cf33f6 [^]
Maturity status: Test
(0105332)
caristu (developer)
2018-06-22 10:48

Code reviewed + tested OK.

- Issue History
Date Modified Username Field Change
2018-06-12 18:38 shuehner New Issue
2018-06-12 18:38 shuehner Assigned To => platform
2018-06-12 18:38 shuehner Modules => Core
2018-06-12 18:38 shuehner Triggers an Emergency Pack => No
2018-06-12 18:44 shuehner Note Added: 0105103
2018-06-15 09:09 alostale Relationship added depends on 0038763
2018-06-15 09:10 alostale Assigned To platform => alostale
2018-06-15 09:17 hgbot Checkin
2018-06-15 09:17 hgbot Note Added: 0105159
2018-06-15 09:17 hgbot Status new => resolved
2018-06-15 09:17 hgbot Resolution open => fixed
2018-06-15 09:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/84035789ff4213853c706e895af7c41c0baf8af6 [^]
2018-06-15 09:21 alostale Note Added: 0105161
2018-06-15 09:34 alostale Review Assigned To => caristu
2018-06-15 09:41 alostale Relationship added related to 0038765
2018-06-19 13:24 hudsonbot Checkin
2018-06-19 13:24 hudsonbot Note Added: 0105238
2018-06-22 10:48 caristu Note Added: 0105332
2018-06-22 10:48 caristu Status resolved => closed
2018-06-22 10:48 caristu Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker